Skip to main content
Versionv1

Messages API (v1)

Download OpenAPI specification:Download

Channels

Gets available channels.

path Parameters
accountId
required
string <uuid>

The accountId.

Responses

Response samples

Content type
[
  • {
    }
]

Gets available channels.

path Parameters
accountId
required
string <uuid>

The accountId.

Responses

Response samples

Content type
{
  • "property1": {
    },
  • "property2": {
    }
}

Messages

Gets campaigns paged.

path Parameters
accountId
required
string <uuid>

The account id.

query Parameters
status
Array of strings

Message status id.

orderby
Array of strings

Column names (date, price, recipients, name) to order messages. add desc to order desc (ex: date desc)

includePreview
boolean

If true returns the preview as well

isArchived
boolean

Used to get archived results

skip
integer <int32>

The skip.

take
integer <int32>

The take.

Responses

Response samples

Content type
[
  • {
    }
]

Adds a campaign.

path Parameters
accountId
required
string <uuid>

The accountId.

Request Body schema:
required

The Message.

isArchived
boolean
body
string
channels
Array of strings
object
grouping
string
ignoreUnsubscribes
boolean
name
string
Array of objects (CM.Platform.Messages.Models.ApiRecipient)
recurrence
string
Array of objects (CM.Platform.Messages.Models.Conversation)
scheduledAtUtc
string <date-time>
senderPreset
string <uuid>
senders
Array of strings
object (CM.Platform.Messages.Models.ApiSpreadSettings)
status
string
tariff
integer <int32>
modifiedAtUtc
string <date-time>
updatedAtUtc
string

Responses

Request samples

Content type
{
  • "isArchived": true,
  • "body": "string",
  • "channels": [
    ],
  • "countrySpecificSenders": {
    },
  • "grouping": "string",
  • "ignoreUnsubscribes": true,
  • "name": "string",
  • "recipients": [
    ],
  • "recurrence": "string",
  • "content": [
    ],
  • "scheduledAtUtc": "2019-08-24T14:15:22Z",
  • "senderPreset": "00000000-0000-0000-0000-000000000000",
  • "senders": [
    ],
  • "spread": {
    },
  • "status": "string",
  • "tariff": 0,
  • "modifiedAtUtc": "2019-08-24T14:15:22Z",
  • "updatedAtUtc": "string"
}

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "isStatsComplete": true,
  • "isArchived": true,
  • "analytics": {
    },
  • "preview": {
    },
  • "body": "string",
  • "channels": [
    ],
  • "countrySpecificSenders": {
    },
  • "grouping": "string",
  • "ignoreUnsubscribes": true,
  • "name": "string",
  • "recipients": [
    ],
  • "recurrence": "string",
  • "content": [
    ],
  • "scheduledAtUtc": "2019-08-24T14:15:22Z",
  • "senderPreset": "00000000-0000-0000-0000-000000000000",
  • "senders": [
    ],
  • "spread": {
    },
  • "status": "string",
  • "tariff": 0,
  • "modifiedAtUtc": "2019-08-24T14:15:22Z",
  • "createdAtUtc": "2019-08-24T14:15:22Z",
  • "createdBy": "00000000-0000-0000-0000-000000000000",
  • "updatedAtUtc": "string"
}

Deletes multiple campaigns.

path Parameters
accountId
required
string <uuid>

The accountId.

query Parameters
messageIds
Array of strings <uuid> [ items <uuid > ]

The identifier.

Responses

Sends a test campaign.

path Parameters
accountId
required
string <uuid>

The accountId.

Request Body schema:
required

The Message.

object (CM.Platform.Messages.Models.ApiMessageRequest)
Array of objects (CM.Platform.Messages.Models.ApiRecipient)

Responses

Request samples

Content type
{
  • "message": {
    },
  • "testRecipients": [
    ]
}

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "isStatsComplete": true,
  • "isArchived": true,
  • "analytics": {
    },
  • "preview": {
    },
  • "body": "string",
  • "channels": [
    ],
  • "countrySpecificSenders": {
    },
  • "grouping": "string",
  • "ignoreUnsubscribes": true,
  • "name": "string",
  • "recipients": [
    ],
  • "recurrence": "string",
  • "content": [
    ],
  • "scheduledAtUtc": "2019-08-24T14:15:22Z",
  • "senderPreset": "00000000-0000-0000-0000-000000000000",
  • "senders": [
    ],
  • "spread": {
    },
  • "status": "string",
  • "tariff": 0,
  • "modifiedAtUtc": "2019-08-24T14:15:22Z",
  • "createdAtUtc": "2019-08-24T14:15:22Z",
  • "createdBy": "00000000-0000-0000-0000-000000000000",
  • "updatedAtUtc": "string"
}

Gets cost estimation for specified campaign

path Parameters
accountId
required
string <uuid>

The accountId.

Request Body schema:
required

The message object

isArchived
boolean
body
string
channels
Array of strings
object
grouping
string
ignoreUnsubscribes
boolean
name
string
Array of objects (CM.Platform.Messages.Models.ApiRecipient)
recurrence
string
Array of objects (CM.Platform.Messages.Models.Conversation)
scheduledAtUtc
string <date-time>
senderPreset
string <uuid>
senders
Array of strings
object (CM.Platform.Messages.Models.ApiSpreadSettings)
status
string
tariff
integer <int32>
modifiedAtUtc
string <date-time>
updatedAtUtc
string

Responses

Request samples

Content type
{
  • "isArchived": true,
  • "body": "string",
  • "channels": [
    ],
  • "countrySpecificSenders": {
    },
  • "grouping": "string",
  • "ignoreUnsubscribes": true,
  • "name": "string",
  • "recipients": [
    ],
  • "recurrence": "string",
  • "content": [
    ],
  • "scheduledAtUtc": "2019-08-24T14:15:22Z",
  • "senderPreset": "00000000-0000-0000-0000-000000000000",
  • "senders": [
    ],
  • "spread": {
    },
  • "status": "string",
  • "tariff": 0,
  • "modifiedAtUtc": "2019-08-24T14:15:22Z",
  • "updatedAtUtc": "string"
}

Response samples

Content type
{
  • "minNumberOfPartsPerRecipient": 0,
  • "maxNumberOfPartsPerRecipient": 0,
  • "charsLeft": 0,
  • "charsToRemove": 0,
  • "countryCosts": [
    ],
  • "currency": "string",
  • "isMultipart": true,
  • "messageCount": 0,
  • "minDeliveryTime": 0,
  • "recipientCount": 0,
  • "totalCost": 0.1,
  • "hasUnicode": true,
  • "hasTags": true
}

Cancels a campaign.

path Parameters
accountId
required
string <uuid>

The accountId.

messageId
required
string <uuid>

The identifier.

Responses

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "isStatsComplete": true,
  • "isArchived": true,
  • "analytics": {
    },
  • "preview": {
    },
  • "body": "string",
  • "channels": [
    ],
  • "countrySpecificSenders": {
    },
  • "grouping": "string",
  • "ignoreUnsubscribes": true,
  • "name": "string",
  • "recipients": [
    ],
  • "recurrence": "string",
  • "content": [
    ],
  • "scheduledAtUtc": "2019-08-24T14:15:22Z",
  • "senderPreset": "00000000-0000-0000-0000-000000000000",
  • "senders": [
    ],
  • "spread": {
    },
  • "status": "string",
  • "tariff": 0,
  • "modifiedAtUtc": "2019-08-24T14:15:22Z",
  • "createdAtUtc": "2019-08-24T14:15:22Z",
  • "createdBy": "00000000-0000-0000-0000-000000000000",
  • "updatedAtUtc": "string"
}

Gets a campaign by id.

path Parameters
accountId
required
string <uuid>

The accountId.

messageId
required
string <uuid>

The identifier.

query Parameters
includePreview
boolean

If true gets the preview as well.

Responses

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "isStatsComplete": true,
  • "isArchived": true,
  • "analytics": {
    },
  • "preview": {
    },
  • "body": "string",
  • "channels": [
    ],
  • "countrySpecificSenders": {
    },
  • "grouping": "string",
  • "ignoreUnsubscribes": true,
  • "name": "string",
  • "recipients": [
    ],
  • "recurrence": "string",
  • "content": [
    ],
  • "scheduledAtUtc": "2019-08-24T14:15:22Z",
  • "senderPreset": "00000000-0000-0000-0000-000000000000",
  • "senders": [
    ],
  • "spread": {
    },
  • "status": "string",
  • "tariff": 0,
  • "modifiedAtUtc": "2019-08-24T14:15:22Z",
  • "createdAtUtc": "2019-08-24T14:15:22Z",
  • "createdBy": "00000000-0000-0000-0000-000000000000",
  • "updatedAtUtc": "string"
}

Updates a campaign.

path Parameters
accountId
required
string <uuid>

The accountId.

messageId
required
string <uuid>

The identifier.

query Parameters
versioned
boolean

If true message version will be checked before updates

Request Body schema:
required

The Message.

isArchived
boolean
body
string
channels
Array of strings
object
grouping
string
ignoreUnsubscribes
boolean
name
string
Array of objects (CM.Platform.Messages.Models.ApiRecipient)
recurrence
string
Array of objects (CM.Platform.Messages.Models.Conversation)
scheduledAtUtc
string <date-time>
senderPreset
string <uuid>
senders
Array of strings
object (CM.Platform.Messages.Models.ApiSpreadSettings)
status
string
tariff
integer <int32>
modifiedAtUtc
string <date-time>
updatedAtUtc
string

Responses

Request samples

Content type
{
  • "isArchived": true,
  • "body": "string",
  • "channels": [
    ],
  • "countrySpecificSenders": {
    },
  • "grouping": "string",
  • "ignoreUnsubscribes": true,
  • "name": "string",
  • "recipients": [
    ],
  • "recurrence": "string",
  • "content": [
    ],
  • "scheduledAtUtc": "2019-08-24T14:15:22Z",
  • "senderPreset": "00000000-0000-0000-0000-000000000000",
  • "senders": [
    ],
  • "spread": {
    },
  • "status": "string",
  • "tariff": 0,
  • "modifiedAtUtc": "2019-08-24T14:15:22Z",
  • "updatedAtUtc": "string"
}

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "isStatsComplete": true,
  • "isArchived": true,
  • "analytics": {
    },
  • "preview": {
    },
  • "body": "string",
  • "channels": [
    ],
  • "countrySpecificSenders": {
    },
  • "grouping": "string",
  • "ignoreUnsubscribes": true,
  • "name": "string",
  • "recipients": [
    ],
  • "recurrence": "string",
  • "content": [
    ],
  • "scheduledAtUtc": "2019-08-24T14:15:22Z",
  • "senderPreset": "00000000-0000-0000-0000-000000000000",
  • "senders": [
    ],
  • "spread": {
    },
  • "status": "string",
  • "tariff": 0,
  • "modifiedAtUtc": "2019-08-24T14:15:22Z",
  • "createdAtUtc": "2019-08-24T14:15:22Z",
  • "createdBy": "00000000-0000-0000-0000-000000000000",
  • "updatedAtUtc": "string"
}

Deletes a campaign.

path Parameters
accountId
required
string <uuid>

The accountId.

messageId
required
string <uuid>

The identifier.

Responses

Export CSV based on message status

path Parameters
accountId
required
string <uuid>

The account guid.

messageId
required
string <uuid>

The message id.

query Parameters
status
string

Status of the message can only be delivered, undelivered, converted, unconverted or all.

fields
Array of integers <int32> [ items <int32 > ]

Custom fields to export

Responses

Response samples

Content type
{ }

Export to Addressbook based on message status

path Parameters
accountId
required
string <uuid>

The account guid.

messageId
required
string <uuid>

The message id.

query Parameters
status
string

Status of the message can only be delivered, undelivered, converted, unconverted or all.

exportId
string <uuid>

The export id.

Responses

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "isComplete": true,
  • "groupId": "00000000-0000-0000-0000-000000000000"
}

Gets preview for specified campaign

path Parameters
accountId
required
string <uuid>

The accountId.

query Parameters
previewCode
string

The country or language code for preview

numberOfPreviews
integer <int32>

Number of previews to generate, default is 5

useFieldNames
boolean

Uses field names instead of sample data

Request Body schema:
required

The message object

isArchived
boolean
body
string
channels
Array of strings
object
grouping
string
ignoreUnsubscribes
boolean
name
string
Array of objects (CM.Platform.Messages.Models.ApiRecipient)
recurrence
string
Array of objects (CM.Platform.Messages.Models.Conversation)
scheduledAtUtc
string <date-time>
senderPreset
string <uuid>
senders
Array of strings
object (CM.Platform.Messages.Models.ApiSpreadSettings)
status
string
tariff
integer <int32>
modifiedAtUtc
string <date-time>
updatedAtUtc
string

Responses

Request samples

Content type
{
  • "isArchived": true,
  • "body": "string",
  • "channels": [
    ],
  • "countrySpecificSenders": {
    },
  • "grouping": "string",
  • "ignoreUnsubscribes": true,
  • "name": "string",
  • "recipients": [
    ],
  • "recurrence": "string",
  • "content": [
    ],
  • "scheduledAtUtc": "2019-08-24T14:15:22Z",
  • "senderPreset": "00000000-0000-0000-0000-000000000000",
  • "senders": [
    ],
  • "spread": {
    },
  • "status": "string",
  • "tariff": 0,
  • "modifiedAtUtc": "2019-08-24T14:15:22Z",
  • "updatedAtUtc": "string"
}

Response samples

Content type
{
  • "previews": [
    ],
  • "footerPreview": "string",
  • "mediaPreviews": [
    ],
  • "titlePreviews": [
    ],
  • "suggestionsPreview": [
    ],
  • "previewCode": "string",
  • "profileImage": "string",
  • "sender": "string",
  • "recipientsPerCountry": [
    ],
  • "languages": [
    ]
}

Gets cost estimation for specified campaign

path Parameters
accountId
required
string <uuid>

The accountId.

messageId
required
string <uuid>

The group ids to fetch

Responses

Response samples

Content type
{
  • "minNumberOfPartsPerRecipient": 0,
  • "maxNumberOfPartsPerRecipient": 0,
  • "charsLeft": 0,
  • "charsToRemove": 0,
  • "countryCosts": [
    ],
  • "currency": "string",
  • "isMultipart": true,
  • "messageCount": 0,
  • "minDeliveryTime": 0,
  • "recipientCount": 0,
  • "totalCost": 0.1,
  • "hasUnicode": true,
  • "hasTags": true
}

Gets preview for specified campaign

path Parameters
accountId
required
string <uuid>

The accountId.

messageId
required
string <uuid>

The group ids to fetch

query Parameters
countryCode
required
string

The country code

Responses

Response samples

Content type
[
  • "string"
]

Gets campaign counts per status.

path Parameters
accountId
required
string <uuid>

The account id.

Responses

Response samples

Content type
{
  • "draft": 0,
  • "template": 0,
  • "scheduled": 0,
  • "sent": 0,
  • "archived": 0,
  • "triggered": 0
}

Provides diagnostic info about campaign Deprecated

path Parameters
accountId
required
string <uuid>

The account guid.

messageId
required
string <uuid>

The message id.

Responses

Response samples

Content type
{
  • "property1": "string",
  • "property2": "string"
}

Pause sending a campaign.

path Parameters
accountId
required
string <uuid>

The accountId.

messageId
required
string <uuid>

The identifier.

Responses

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "isStatsComplete": true,
  • "isArchived": true,
  • "analytics": {
    },
  • "preview": {
    },
  • "body": "string",
  • "channels": [
    ],
  • "countrySpecificSenders": {
    },
  • "grouping": "string",
  • "ignoreUnsubscribes": true,
  • "name": "string",
  • "recipients": [
    ],
  • "recurrence": "string",
  • "content": [
    ],
  • "scheduledAtUtc": "2019-08-24T14:15:22Z",
  • "senderPreset": "00000000-0000-0000-0000-000000000000",
  • "senders": [
    ],
  • "spread": {
    },
  • "status": "string",
  • "tariff": 0,
  • "modifiedAtUtc": "2019-08-24T14:15:22Z",
  • "createdAtUtc": "2019-08-24T14:15:22Z",
  • "createdBy": "00000000-0000-0000-0000-000000000000",
  • "updatedAtUtc": "string"
}

Resume sending a campaign.

path Parameters
accountId
required
string <uuid>

The accountId.

messageId
required
string <uuid>

The identifier.

Responses

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "isStatsComplete": true,
  • "isArchived": true,
  • "analytics": {
    },
  • "preview": {
    },
  • "body": "string",
  • "channels": [
    ],
  • "countrySpecificSenders": {
    },
  • "grouping": "string",
  • "ignoreUnsubscribes": true,
  • "name": "string",
  • "recipients": [
    ],
  • "recurrence": "string",
  • "content": [
    ],
  • "scheduledAtUtc": "2019-08-24T14:15:22Z",
  • "senderPreset": "00000000-0000-0000-0000-000000000000",
  • "senders": [
    ],
  • "spread": {
    },
  • "status": "string",
  • "tariff": 0,
  • "modifiedAtUtc": "2019-08-24T14:15:22Z",
  • "createdAtUtc": "2019-08-24T14:15:22Z",
  • "createdBy": "00000000-0000-0000-0000-000000000000",
  • "updatedAtUtc": "string"
}

Search campaigns with specified terms.

path Parameters
accountId
required
string <uuid>

The accountId.

term
required
string

The search terms

query Parameters
statuses
Array of strings

The message status terms

isArchived
boolean

The message is archived

skip
integer <int32>

The skip.

take
integer <int32>

The take.

Responses

Response samples

Content type
[
  • {
    }
]

Sends a test campaign.

path Parameters
accountId
required
string <uuid>

The accountId.

messageId
required
string <uuid>

The identifier.

Request Body schema:
required

The test message recipients.

Array
contact
string <uuid>
object
group
string <uuid>
msisdn
string
pushId
string

Responses

Request samples

Content type
[
  • {
    }
]

Returns array of data tag ids used in a campaign.

path Parameters
accountId
required
string <uuid>

The accountId.

messageId
required
string <uuid>

The identifier.

Responses

Response samples

Content type
[
  • 0
]

Sends a triggered campaign.

path Parameters
accountId
required
string <uuid>

The accountId.

messageId
required
string <uuid>

The identifier.

Request Body schema:
required

The triggered message recipients.

Array
contact
string <uuid>
object
group
string <uuid>
msisdn
string
pushId
string

Responses

Request samples

Content type
[
  • {
    }
]

Senders

Gets senders.

path Parameters
accountId
required
string <uuid>

The accountId.

Responses

Response samples

Content type
[
  • {
    }
]

Adds a Sender.

path Parameters
accountId
required
string <uuid>

The accountId.

Request Body schema:
required

The sender.

isFavorite
boolean
name
string
object

Responses

Request samples

Content type
{
  • "isFavorite": true,
  • "name": "string",
  • "senders": {
    }
}

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "isFavorite": true,
  • "name": "string",
  • "senders": {
    }
}

Updates a Sender.

path Parameters
accountId
required
string <uuid>

The accountId.

senderId
required
string <uuid>

The identifier.

Request Body schema:
required

The sender.

isFavorite
boolean
name
string
object

Responses

Request samples

Content type
{
  • "isFavorite": true,
  • "name": "string",
  • "senders": {
    }
}

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "isFavorite": true,
  • "name": "string",
  • "senders": {
    }
}

Deletes a Sender.

path Parameters
accountId
required
string <uuid>

The accountId.

senderId
required
string <uuid>

The identifier.

Responses

ShadowToken

Adds a campaign.

path Parameters
productToken
required
string <uuid>

The product token.

accountId
required
string <uuid>

The accountId.

Request Body schema:
required

The Message.

isArchived
boolean
body
string
channels
Array of strings
object
grouping
string
ignoreUnsubscribes
boolean
name
string
Array of objects (CM.Platform.Messages.Models.ApiRecipient)
recurrence
string
Array of objects (CM.Platform.Messages.Models.Conversation)
scheduledAtUtc
string <date-time>
senderPreset
string <uuid>
senders
Array of strings
object (CM.Platform.Messages.Models.ApiSpreadSettings)
status
string
tariff
integer <int32>
modifiedAtUtc
string <date-time>
updatedAtUtc
string

Responses

Request samples

Content type
{
  • "isArchived": true,
  • "body": "string",
  • "channels": [
    ],
  • "countrySpecificSenders": {
    },
  • "grouping": "string",
  • "ignoreUnsubscribes": true,
  • "name": "string",
  • "recipients": [
    ],
  • "recurrence": "string",
  • "content": [
    ],
  • "scheduledAtUtc": "2019-08-24T14:15:22Z",
  • "senderPreset": "00000000-0000-0000-0000-000000000000",
  • "senders": [
    ],
  • "spread": {
    },
  • "status": "string",
  • "tariff": 0,
  • "modifiedAtUtc": "2019-08-24T14:15:22Z",
  • "updatedAtUtc": "string"
}

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "isStatsComplete": true,
  • "isArchived": true,
  • "analytics": {
    },
  • "preview": {
    },
  • "body": "string",
  • "channels": [
    ],
  • "countrySpecificSenders": {
    },
  • "grouping": "string",
  • "ignoreUnsubscribes": true,
  • "name": "string",
  • "recipients": [
    ],
  • "recurrence": "string",
  • "content": [
    ],
  • "scheduledAtUtc": "2019-08-24T14:15:22Z",
  • "senderPreset": "00000000-0000-0000-0000-000000000000",
  • "senders": [
    ],
  • "spread": {
    },
  • "status": "string",
  • "tariff": 0,
  • "modifiedAtUtc": "2019-08-24T14:15:22Z",
  • "createdAtUtc": "2019-08-24T14:15:22Z",
  • "createdBy": "00000000-0000-0000-0000-000000000000",
  • "updatedAtUtc": "string"
}

Triggers a campaign using product token.

path Parameters
productToken
required
string <uuid>

The product token.

accountId
required
string <uuid>

The accountId.

messageId
required
string <uuid>

The Message id.

Request Body schema:
required

The recipients.

Array
contact
string <uuid>
object
group
string <uuid>
msisdn
string
pushId
string

Responses

Request samples

Content type
[
  • {
    }
]

Response samples

Content type
0
0

Status

Processes Status Reports. Deprecated

Request Body schema:
required

Status Reports

Array
Account
integer <int32>
AdditionalInfo
string
Converted
string <date-time>
Customer
integer <int32>
CustomGrouping
string
CustomGrouping2
string
CustomGrouping3
string
Description
string
ExternalReference
string
LastRetry
string <date-time>
LastUpdated
string <date-time>
Parts
integer <int32>
Priority
integer <int32>
OptedOut
string <date-time>
ReadByRecipient
string <date-time>
Recipient
string
Reference
integer <int32>
RetryCost
number <double>
SentToOperator
string <date-time>
StandardError
integer <int32>
Status
string
Enum: "Accepted" "Rejected" "Delivered" "Failed" "Overdue" "AcceptedByGateWay" "RejectedByGateWay"
Ticket
string

Responses

Request samples

Content type
[
  • {
    }
]

Response samples

Content type
0
0